.top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;

    min-height: 50px;

    padding: 10px 20px;
    margin-bottom: 10px;

    background-color: rgba(0, 0, 0, 0.25);
    border-bottom: 1px solid rgba(252, 142, 7, 0.35);
}

.wn-title {
    color: #00cfff;
    text-transform: uppercase;
    font-size: 20px;
    margin: 0; /* Rimuove margini che potrebbero sballare l'allineamento */
}

.wn-title2 {
    display: flex;
    gap: 10px; /* Spazio tra il tasto Scrivi e il Selettore */
    align-items: center;
}

.btn-title {
    color: #00cfff;
    text-transform: uppercase;
    font-size: 20px;
    position: absolute;
}

/* Container controlli */
.controls-panel {
    display: flex;
    gap: 5px;
    align-items: flex-end;
    background: rgba(0, 207, 255, 0.05);
    padding: 5px 10px;
    border-radius: 10px;
    border: 1px solid rgba(0, 207, 255, 0.3);
}

.emoji{
    width:2em;
    height:2em;
    vertical-align:-0.6em;
}

/* --- STILE PULSANTE INDUSTRIAL (Universale) --- */
.btn-industrial {
    width: 8vmin;
    height: 6vmin;
    position: absolute;
    border-radius: 1px;
    overflow: hidden;
    cursor: pointer;
    border: none;
    padding: 0;
    background: radial-gradient(circle at 100% 50%, #fc8e07, #eec147 100%);
    box-shadow: 0 0 10px #00cfff, 0 0 30px rgba(212, 161, 50, 0.4), inset 0 0 15px rgb(221, 96, 39);
    transition: 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    transform: translate(-50%, -50%);
}

.btn-industrial::before {
    content: "";
    position: absolute;
    inset: 0;
    padding: 3px;
    background: linear-gradient(120deg, transparent, #d3a614, rgb(39, 148, 221), transparent);
    background-size: 200% 100%;
    -webkit-mask: linear-gradient(#000 0 0) content-box, linear-gradient(#000 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    animation: borderFlow 4s linear infinite;
}


@keyframes borderFlow {
    0% { background-position: 0% }
    100% { background-position: 200% }
}

.btn-grid { position: absolute; inset: 0; background-image: linear-gradient(rgba(0,207,255,0.05) 1px, transparent 1px), linear-gradient(90deg, rgba(0,207,255,0.05) 1px, transparent 1px); background-size: 20px 20px; }
.btn-glass { position: absolute; inset: 0; background: linear-gradient(to bottom, rgba(255,255,255,0.08), rgba(255,255,255,0.02), transparent); }

.btn-industrial:hover { transform: translate(-50%, -50%) scale(1.05); box-shadow: 0 0 20px #00e1ff; }

.pos-h { top: 6%; left: 90%; }
.pos-i { top: 6%; left: 85%; }

.topbar-icon-img{
    width: 50px;
    height: 50px;
    padding-left: 20px;
}